DROP TABLE IF EXISTS `#__jroombooking`;

CREATE TABLE `#__jroombooking` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
	`params`   VARCHAR(1024) NOT NULL DEFAULT '',
	PRIMARY KEY (`id`)
)
	DEFAULT CHARSET =utf8;

DROP TABLE IF EXISTS `#__jroombooking_rooms`;

CREATE TABLE `#__jroombooking_rooms` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`name` VARCHAR(100) NOT NULL,
	`description` TEXT,
	`photo` VARCHAR(255),
	`max_capacity` TINYINT UNSIGNED NOT NULL DEFAULT 0,
	`published` TINYINT(4) NOT NULL DEFAULT 0,
	PRIMARY KEY (`id`)
)
	DEFAULT CHARSET =utf8;

DROP TABLE IF EXISTS `#__jroombooking_reservations`;

CREATE TABLE `#__jroombooking_reservations` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
	`room_id` INT(11) UNSIGNED NOT NULL,
  `date_created` DATETIME DEFAULT '1970-01-01 00:00:00',
  `date_modified` DATETIME DEFAULT '1970-01-01 00:00:00',
  `start_date` DATE NOT NULL,
  `end_date` DATE NOT NULL,
  `capacity` TINYINT UNSIGNED NOT NULL,
  `firstname` VARCHAR(50) NOT NULL,
  `surname` VARCHAR(50) NOT NULL,
  `email` VARCHAR(100) NOT NULL,
  `phone` VARCHAR(20) NOT NULL,
  `note` TEXT,
	`language` VARCHAR(15),
	`date_approved_modified` DATETIME DEFAULT '1970-01-01 00:00:00',
	`approved` BOOLEAN NOT NULL DEFAULT FALSE,
  PRIMARY KEY (`id`)
)
  DEFAULT CHARSET =utf8;


INSERT INTO `#__jroombooking_reservations` (`room_id`, `start_date`, `end_date`, `capacity`, `firstname`, `surname`, `email`, `phone`, `date_created`, `approved`, `date_approved_modified`, `date_modified`) VALUES
  (1, '2016-11-5', '2016-11-10', 1, 'Miloslav', 'Schmied', 'loremipsum@loremipsum.lorem', '+420123456789', NOW(), 1, NOW(), NOW()),
  (2, '2016-12-7', '2016-12-11', 2, 'Miloslav', 'Schmied', 'loremipsum@loremipsum.lorem', '+420123456789', NOW(), 0, NOW(), NOW()),
  (2, '2016-9-15', '2016-9-18', 3, 'Miloslav', 'Schmied', 'loremipsum@loremipsum.lorem', '+420123456789', NOW(), 0, NOW(), NOW());

INSERT INTO `#__jroombooking_rooms` (`name`, `published`) VALUES
	('Lorem ipsum #01', 1),
	('Lorem ipsum #02', 1),
	('Lorem ipsum #03', 0);

UPDATE `#__jroombooking_rooms` SET photo='images/com_jroombooking/room_photos/room.jpg';

UPDATE `#__jroombooking_rooms` SET max_capacity=(FLOOR( 3 + RAND( ) *10 ));
UPDATE `#__jroombooking_rooms` SET description='Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris tincidunt sem sed arcu. Duis viverra diam non justo. Aliquam erat volutpat. Fusce suscipit libero eget elit. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae.';