<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted Access');

JHtml::_('formbehavior.chosen', 'select');

$listOrder     = $this->escape($this->filter_order);
$listDirn      = $this->escape($this->filter_order_Dir);
?>
<div id="j-sidebar-container" class="span2">
    <?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
    <form action="index.php?option=com_jroombooking&view=reservations" method="post" id="adminForm" name="adminForm">
        <div class="row-fluid">
            <div class="span6">
                <?php echo JText::_('COM_JROOMBOOKING_ROOMS_FILTER'); ?>
                <?php
                echo JLayoutHelper::render(
                    'joomla.searchtools.default',
                    array('view' => $this)
                );
                ?>
            </div>
        </div>
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th width="1%"><?php echo JText::_('COM_JROOMBOOKING_RESERVATIONS_NUM'); ?></th>
                <th width="1%">
                    <?php echo JHtml::_('grid.checkall'); ?>
                </th>
                <th width="1%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_APPROVED', 'approved', $listDirn, $listOrder); ?>
                </th>
                <th width="10%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_ROOM_NAME', 'room_name', $listDirn, $listOrder); ?>
                </th>
                <th width="10%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_DATE_CREATED', 'date_created', $listDirn, $listOrder); ?>
                </th>
                <th width="7%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_START_DATE', 'start_date', $listDirn, $listOrder); ?>
                </th>
                <th width="7%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_END_DATE', 'end_date', $listDirn, $listOrder); ?>
                </th>
                <th width="1%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_CAPACITY', 'capacity', $listDirn, $listOrder); ?>
                </th>
                <th width="8%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_FIRSTNAME', 'firstnanme', $listDirn, $listOrder); ?>
                </th>
                <th width="9%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_LASTNAME', 'lastname', $listDirn, $listOrder); ?>
                </th>
                <th width="11%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_EMAIL', 'email', $listDirn, $listOrder); ?>
                </th>
                <th width="8%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_PHONE', 'phone', $listDirn, $listOrder); ?>
                </th>
                <th width="5%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_LANGUAGE', 'language', $listDirn, $listOrder); ?>
                </th>
                <th width="10%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_NOTE', 'note', $listDirn, $listOrder); ?>
                </th>
                <th width="10%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_DATE_APPROVED_MODIFIED', 'date_approved_modified', $listDirn, $listOrder); ?>
                </th>
                <th width="1%">
                    <?php echo JHtml::_('grid.sort', 'COM_JROOMBOOKING_RESERVATIONS_ID', 'id', $listDirn, $listOrder); ?>
                </th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <td colspan="5">
                    <?php echo $this->pagination->getListFooter(); ?>
                </td>
            </tr>
            </tfoot>
            <tbody>
            <?php if (!empty($this->items)) : ?>
                <?php foreach ($this->items as $i => $row) :
                    $link = JRoute::_('index.php?option=com_jroombooking&task=reservationadmin.edit&id=' . $row->id);
                    ?>
                    <tr>
                        <td>
                            <?php echo $this->pagination->getRowOffset($i); ?>
                        </td>
                        <td>
                            <?php echo JHtml::_('grid.id', $i, $row->id); ?>
                        </td>
                        <td align="center">
                            <?php echo JHtml::_('jgrid.published', $row->approved, $i, 'reservations.', true, 'cb'); ?>
                        </td>
                        <td align="center">
                            <?php echo $row->room_name; ?>
                        </td>
                        <td>
                            <?php
                            $dateCreated = new JDate($row->date_created);
                            echo $dateCreated->format(JText::_('COM_JROOMBOOKING_RESERVATIONS_LONG_DATE_FORMAT')); ?>
                        </td>
                        <td>
                            <a href="<?php echo $link; ?>" title="<?php echo JText::_('COM_JROOMBOOKING_EDIT_RESERVATION'); ?>">
                                <?php
                                $startDate = new JDate($row->start_date);
                                echo $startDate->format(JText::_('COM_JROOMBOOKING_RESERVATIONS_SHORT_DATE_FORMAT')); ?>
                            </a>
                        </td>
                        <td>
                            <a href="<?php echo $link; ?>" title="<?php echo JText::_('COM_JROOMBOOKING_EDIT_RESERVATION'); ?>">
                                <?php
                                $endDate = new JDate($row->end_date);
                                echo $endDate->format(JText::_('COM_JROOMBOOKING_RESERVATIONS_SHORT_DATE_FORMAT')); ?>
                            </a>
                        </td>
                        <td align="center">
                            <a href="<?php echo $link; ?>" title="<?php echo JText::_('COM_JROOMBOOKING_EDIT_RESERVATION'); ?>">
                                <?php echo $row->capacity; ?>
                            </a>
                        </td>
                        <td>
                            <a href="<?php echo $link; ?>" title="<?php echo JText::_('COM_JROOMBOOKING_EDIT_RESERVATION'); ?>">
                                <?php echo $row->firstname; ?>
                            </a>
                        </td>
                        <td>
                            <a href="<?php echo $link; ?>" title="<?php echo JText::_('COM_JROOMBOOKING_EDIT_RESERVATION'); ?>">
                                <?php echo $row->surname; ?>
                            </a>
                        </td>
                        <td>
                            <a href="<?php echo 'mailto:' . $row->email; ?>" target="_blank" title="<?php echo JText::_('COM_JROOMBOOKING_SEND_EMAIL'); ?>">
                                <?php echo $row->email; ?>
                            </a>
                        </td>
                        <td>
                            <?php echo $row->phone; ?>
                        </td>
                        <td>
                            <?php echo $row->language; ?>
                        </td>
                        <td>
                            <?php echo $row->note; ?>
                        </td>
                        <td>
                            <?php
                            $dateApproved = new JDate($row->date_approved_modified);
                            echo $dateApproved->format(JText::_('COM_JROOMBOOKING_RESERVATIONS_LONG_DATE_FORMAT')); ?>
                        </td>
                        <td align="center">
                            <?php echo $row->id; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            <?php endif; ?>
            </tbody>
        </table>
        <input type="hidden" name="task" value=""/>
        <input type="hidden" name="boxchecked" value="0"/>
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>