<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Include dependancy of the main controllerform class
jimport('joomla.application.component.controllerform');

/**
 * Class JRoomBookingControllerReserveRequest
 *
 * @since 1.0.0
 */
class JRoomBookingControllerReserveRequest extends JControllerForm
{

    public function getModel($name = '', $prefix = '', $config = array('ignore_request' => true))
    {
        return parent::getModel($name, $prefix, array('ignore_request' => false));
    }

    /**
     * Akce spustena po odeslani kontrolniho formulare. Data jsou validovana a pote dojde k presmerovani na druhy formular.
     *
     * @return bool
     * @throws Exception
     * @since 1.0.0
     */
    public function submit()
    {
        // Check for request forgeries.
        JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

        // Initialise variables.
        $app	= JFactory::getApplication();
        $model	= $this->getModel('reserverequest');
        $stub   = $this->input->getString('room_id');
        $id     = (int) $stub;

        // Get the data from the form POST
        $data = $this->input->post->get('jform', array(), 'array');
        $data['room_id'] = $id;

        $form = $model->getForm();

        if (!$form)
        {
            throw new Exception($model->getError, 500);
        }

        $validate = $model->validate($form, $data);
        $validateErrors = $model->validateRequest($data);

        // Save the data in the session.
        $app->setUserState('com_jroombooking.reserverequest.data', $data);

        if ($validate === false || $validateErrors !== true)
        {
            // Get the validation messages.
            $errors = $model->getErrors();
            if ($validateErrors !== false) {
                $errors = array_merge($errors, $validateErrors);
            }

            // Push up to ten validation messages out to the user.
            for ($i = 0, $n = count($errors); $i < $n && $i < 10; $i++)
            {
                if ($errors[$i] instanceof Exception)
                {
                    $app->enqueueMessage($errors[$i]->getMessage(), 'warning');
                }
                else
                {
                    $app->enqueueMessage($errors[$i], 'warning');
                }
            }

            // Redirect back to the contact form.
            $this->setRedirect(JRoute::_('index.php?option=com_jroombooking&view=reserverequest&room_id=' . $stub, false));

            return false;
        }

        // Now validate the loaded data via a function in the model
        //$validateRequst = $model->validateRequest($data);

        // check if ok and display appropriate message.  This can also have a redirect if desired.
        if (true) {
            //JFactory::getApplication()->enqueueMessage('Validation error', 'warning');
        } else {
            //JFactory::getApplication()->enqueueMessage('Validation error', 'warning');
        }

        $this->setRedirect(JRoute::_('index.php?option=' . $this->input->getString('option') . '&view=reserveapply&room_id=' . $stub, false));

        return false;
    }
}