<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

?>

<div class="jroombooking">
  <?php
  $params = $this->params;

  //nadpis
  if($params->get('show_heading', 1))
  {
    echo '<h1>' . $this->headingText . '</h1>';
  }
  //popis
  if($params->get('show_description', 0))
  {
    echo '<p>' . $this->descriptionText . '</p>';
  }
  //foto
  if($params->get('show_photo', 1))
  {
    echo '<figure>';
    echo '<img src="' . $this->introPhoto . '" alt="' . JText::_('COM_JROOMBOOKING_INTRO_PHOTO_ALT_TEXT') . '">';
    //text pod fotkou
    if($params->get('show_photo_description', 0))
    {
      echo '<figcaption>' . $this->photoDescriptionText . '</figcaption>';
    }
    echo '</figure>';
  }

  //pocet dostupnych mist celkem
  if($this->count > 0)
  {
    if($this->count > 1)
    {
      echo '<div class="rooms-filter-wrap">';
      echo '<h1>' . JText::_('COM_JROOMBOOKING_ROOMS_AVAILABLE_COUNT') . $this->filteredCount . '</h1>';
      echo '<div class="rooms-filter">';
      echo '<form method="post" class="form-validate" name="date_filter" id="date_filter">';
      echo '<div class="filter-fields form-inline">';
      echo '<div class="input-fields">';
      foreach($this->filterForm->getFieldset() as $field)
      {
        echo '<div class="control-group">';
        echo '<div class="control-label">' . $field->label . '</div>';
        echo '<div class="controls">' . $field->input . '</div>';
        echo '</div>';
      }
      echo '</div>';
      echo '<div class="filter-buttons"><div class="controls">';
      echo '<a href="' . JRoute::_('index.php?option=com_jroombooking&task=cancelfilterdate') . '" class="btn btn-secondary">' .
           JText::_('COM_JROOMBOOKING_FILTER_CANCEL_BUTTON_LABEL') . '</a>';
      echo '<button type="submit" class="btn btn-primary" name="submit">' . JText::_('COM_JROOMBOOKING_FILTER_BUTTON_LABEL') . '</button>';
      echo '</div></div>';
      echo '<input type="hidden" name="option" value="com_jroombooking" /><input type="hidden" name="task" value="filterdate" />';
      echo JHtml::_('form.token');
      echo '</div>';
      echo '</form>';
      echo '</div>';
      echo '</div>';
    }
    //pagination form
    echo '<form action="' . JRoute::_('index.php?option=com_jroombooking') . '" method="post" name="adminForm">';
    echo '<div class="jroombooking-rooms">';
    //pagination items
    if($this->filteredCount > 0)
    {
      foreach($this->rooms as $room)
      {
        echo '<div class="jroombooking-room">';
        echo '<table class="jroombooking-room-wrap">';
        echo '<tr>';
        if(isset($room['photo']) && $room['photo'] != '')
        {
          echo '<td class="jroombooking-room-photo" style="background-image: url(/' . $room['photo'] . ')"></td>';
        }
        echo '<td  class="jroombooking-room-info">';
        echo '<div class="jroombooking-room-name"><h3>' . htmlspecialchars($room['name']) . '</h3></div>';
        echo '<div class="jroombooking-room-desc"><p>' . $room['description'] . '</p></div>';
        echo '<div class="jroombooking-room-capacity"><p>' . JText::_('COM_JROOMBOOKING_ROOM_CAPACITY') . $room['max_capacity'] . '</p></div>';
        echo '<div class="jroombooking-room-btn"><a class="btn btn-secondary" href="' .
             JRoute::_('index.php?option=com_jroombooking&view=reserverequest&task=reserve&room_id=' . $room['id']) . '">' .
             JText::_('COM_JROOMBOOKING_RESERVE_BUTTON_LABEL') . '</a></div>';
        echo '</td>';
        echo '</tr>';
        echo '</table>';
        echo '</div>';
      }
    }
    else
    {
      echo '<h3>' . JText::_('COM_JROOMBOOKING_NO_FILTERED_ROOMS') . '</h3>';
    }
    echo '</div>';
    //pagination buttons
    echo $this->pagination->getListFooter();
    echo '</form>';

  }
  else
  {
    echo '<p>' . JText::_('COM_JROOMBOOKING_NO_ROOMS_AVAILABLE') . '</p>';
  }
  ?>
</div>
