<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');
JHtml::stylesheet(Juri::base() . 'components/com_jroombooking/css/style.css');

?>
<div class="jroombooking">
	<div class="rooms-apply-wrap">
<?php if(!$this->room) : ?>
    <h1><?php echo JText::_('COM_JROOMBOOKING_RESERVER_ERROR') ?></h1>
<?php elseif($this->room->published) : ?>
    <h1><?php echo $this->heading ?></h1>
    <h2><?php echo $this->heading2 ?></h2>
    <form method="post" class="form-validate" name="reserverequest" id="reserverequest">
        <div class="form-horizontal">
            <?php foreach ($this->form->getFieldsets() as $name => $fieldset): ?>
                <fieldset class="reserve-form">
                    <legend><?php echo JText::_($fieldset->label); ?></legend>
                    <div class="row-fluid">
                        <div class="span6">
                            <?php foreach ($this->form->getFieldset($name) as $field): ?>
                                <div class="control-group">
                                    <div class="control-label"><?php echo $field->label; ?></div>
                                    <div class="controls"><?php echo $field->input; ?></div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                </fieldset>
            <?php endforeach; ?>
            <div class="control-group">
				<div class="apply-buttons">
					<div class="controls">
						<a href="<?php echo JRoute::_('index.php?option=com_jroombooking&task=cancel'); ?>" class="btn btn-secondary"><?php echo JText::_('COM_JROOMBOOKING_RESERVE_BUTTON_CANCEL_LABEL') ?></a>
						<a href="<?php echo JRoute::_('index.php?option=com_jroombooking&view=reserverequest&room_id=' . $this->room->id); ?>" class="btn btn-secondary"><?php echo JText::_('COM_JROOMBOOKING_RESERVE_BUTTON_BACK_LABEL') ?></a>
						<button type="submit" class="btn btn-primary" name="submit"><?php echo JText::_('COM_JROOMBOOKING_BUTTON_APPLY_LABEL'); ?></button>
							</div>
				</div>
            </div>
			<?php if($this->room->photo) : ?>
                <div class="apply-photo controls"><img src="<?php echo $this->room->photo; ?>"></div>
            <?php endif; ?>
            <input type="hidden" name="option" value="com_jroombooking" />
            <input type="hidden" name="task" value="reserveapply.submit" />
            <?php echo JHtml::_('form.token'); ?>
        </div>
    </form>
<?php else: ?>
    <h1><?php echo JText::_('COM_JROOMBOOKING_RESERVER_ERROR') ?></h1>
<?php endif; ?>
	</div>
</div>
